---
title: Web technology for developers
slug: Web
tags:
  - Landing
  - Web
---
<p>The open Web presents incredible opportunities for developers. To take full advantage of these technologies, you need to know how to use them. Below you'll find links to our Web technology documentation.</p>

<div class="row topicpage-table">
<div class="section">
<h2 class="Documentation" id="Docs_for_add-on_developers">Documentation for Web developers</h2>

<dl>
 <dt><a href="/en-US/docs/Web/Reference">Web Developer Reference</a></dt>
 <dd>A list of all references for Web technologies, including those for HTML, CSS, and so on.</dd>
 <dt><a href="/en-US/docs/Web/Guide">Web Developer Guide</a></dt>
 <dd>The Web Developer Guide provides useful how-to content to help you actually use Web technologies to do what you want or need to do.</dd>
 <dt><a href="/en-US/docs/Web/Tutorials">Tutorials for Web developers</a></dt>
 <dd>A list of tutorials to take you step-by-step through learning APIs, technologies, or broad topic areas.</dd>
 <dt><a href="/en-US/docs/Web/Apps">Developing Web applications</a></dt>
 <dd>Documentation for Web application developers; Web apps are true write-once, deploy anywhere apps for mobile, desktop, and Firefox OS.</dd>
 <dt><a href="/en-US/docs/Code_snippets">Code snippets</a></dt>
 <dd>This is a quick list of useful code snippets (small code samples) available for developers of extensions for the various Mozilla applications. Many of these samples can also be used in <a href="/en-US/docs/XULRunner">XULRunner</a> applications, as well as in actual Mozilla code itself.</dd>
</dl>

<p><span class="alllinks"><a href="/en-US/docs/tag/Web">View All...</a></span></p>
</div>

<div class="section">
<h2 class="Documentation" id="Docs_for_add-on_developers">Web technology references</h2>

<dl>
 <dt><a href="/en-US/docs/Web/Reference/API">Web APIs</a></dt>
 <dd>Reference material for each of the individual APIs that comprise the Web's powerful scriptability, including the DOM and all of the related APIs and interfaces you can use to build Web content and apps.</dd>
 <dt><a href="/en-US/docs/Web/HTML">HTML</a></dt>
 <dd>HyperText Markup Language is the language used to describe and define the content of a Web page.</dd>
 <dt><a href="/en-US/docs/Web/CSS">CSS</a></dt>
 <dd>Cascading Style Sheets are used to describe the appearance of Web content.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript">JavaScript</a></dt>
 <dd>JavaScript is a programming language used to add interactivity to a website.</dd>
 <dt><a href="/en-US/docs/SVG">SVG</a></dt>
 <dd>Scalable Vector Graphics let you describe images as sets of vectors and shapes in order to allow them to scale smoothly regardless of the size at which they're drawn.</dd>
 <dt><a href="/en-US/docs/Web/MathML">MathML</a></dt>
 <dd>The Mathematical Markup Language makes it possible to display complex mathematical equations and syntax.</dd>
</dl>
</div>
</div>

<h3 id="Temporary">Temporary</h3>

<p>The stuff below here is temporary to help keep track of things while organization work is ongoing. Pay it no mind.</p>

<div>{{ListSubpages}}</div>
